Bug 27519 - Normalize Show/Don't show vs Display/Don't display in system preferences
Summary: Normalize Show/Don't show vs Display/Don't display in system preferences
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Shi Yao Wang
QA Contact: Testopia
URL:
Keywords: Manual
Depends on:
Blocks:
 
Reported: 2021-01-21 21:16 UTC by Caroline Cyr La Rose
Modified: 2022-08-08 15:55 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Documentation contact: Caroline Cyr La Rose
Documentation submission: https://gitlab.com/koha-community/koha-manual/-/merge_requests/582
Text to go in the release notes:
This enhancement replaces "Display/Don't display" with "Show/Don't show" for several system preferences to improve terminology consistency and make translation easier. A few preferences were also updated where "Yes/No" and "Show/Hide" were used.
Version(s) released in:
22.11.00, 22.05.03


Attachments
Bug 27519: Normalize Show/Don't show in system preferences (9.71 KB, patch)
2022-05-18 15:10 UTC, Shi Yao Wang
Details | Diff | Splinter Review
Bug 27519: Normalize Show/Don't show in system preferences (9.73 KB, patch)
2022-05-18 15:13 UTC, Shi Yao Wang
Details | Diff | Splinter Review
Bug 27519: Normalize Show/Don't show in system preferences (9.79 KB, patch)
2022-05-18 21:36 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 27519: Normalize Show/Don't show in system preferences (10.75 KB, patch)
2022-05-19 12:50 UTC, Shi Yao Wang
Details | Diff | Splinter Review
Bug 27519: Normalize Show/Don't show in system preferences (10.72 KB, patch)
2022-05-19 19:20 UTC, Shi Yao Wang
Details | Diff | Splinter Review
Bug 27519: Normalize Show/Don't show in system preferences (10.76 KB, patch)
2022-05-19 19:31 UTC, David Nind
Details | Diff | Splinter Review
Bug 27519: Normalize Show/Don't show in system preferences (10.85 KB, patch)
2022-05-31 09:02 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2021-01-21 21:16:51 UTC
This is something I came across when translating Koha. Some system preferences use Display/Don't display as their choices and others use Show/Don't show.

I propose to normalize the terms, i.e. choose one and stick with it (with the amount in each, I would choose to keep Show/Don't show).

Show/Don't show

-  AdlibrisCoversEnabled

-  AmazonCoverImages

-  DisplayClearScreenButton

-  displayFacetCount

-  DisplayOPACiconsXSLT

-  EnhancedMessagingPreferencesOPAC

-  ExportCircHistory

-  FRBRizeEditions

-  hidelostitems

-  HidePatronName

-  intranetbookbag

-  IntranetCatalogSearchPulldown

-  LibraryThingForLibrariesEnabled

-  numSearchResultsDropdown

-  OPACAmazonCoverImages

-  OpacCloud

-  OPACItemsResultsDisplay

-  OpacKohaUrl

-  OPACnumSearchResultsDropdown

-  OPACpatronimages

-  OPACShowCheckoutName

-  OPACShowMusicalInscripts

-  OpacShowRecentComments

-  OpacSuggestionManagedBy

-  OPACFRBRizeEditions

-  OpacMaintenance

-  OPACUserSummary

-  OpenLibrarySearch

-  OPACShelfBrowser

-  OPACShowUnusedAuthorities

-  OPACViewOthersSuggestions

-  SelfCheckReceiptPrompt

-  ShowAllCheckins

-  showLastPatron

-  ShowPatronImageInWebBasedSelfCheck

-  SyndeticsAuthorNotes

-  SyndeticsAwards

-  SyndeticsCoverImages

-  SyndeticsEditions

-  SyndeticsExcerpt

-  SyndeticsReviews

-  SyndeticsSeries

-  SyndeticsSummary

-  SyndeticsTOC

-  UseWYSIWYGinSystemPreferences


Display/Don't display

-  AcquisitionDetails

-  advancedMARCeditor

-  AuthDisplayHierarchy

-  BiblioItemtypeInfo

-  CustomCoverImages

-  EasyAnalyticalRecords

-  hide_marc

-  LocalCoverImages

-  OPACAcquisitionDetails

-  OPACCustomCoverImages

-  OPACLocalCoverImages

-  OpacNewsLibrarySelect

-  OPACPopupAuthorsSearch

-  SpineLabelShowPrintOnBibDetails


While we're at it, I would also change the following :

-  noItemTypeImages: Yes/No

-  OpacNoItemTypeImages: Yes/No

-  ShowReviewerPhoto: Show/Hide

-  PatronSelfRegistrationPrefillForm: display and prefill/don't display and prefill
Comment 1 Blou 2021-06-18 14:04:28 UTC
No comment?  We'll use display/not display accross the board.
Comment 2 Shi Yao Wang 2022-05-18 15:10:27 UTC
Created attachment 135144 [details] [review]
Bug 27519: Normalize Show/Don't show in system preferences

Replace Display/Don't display by Show/Don't show in system preferences.

Test plan:
1- Go to administration > system preferences
2- View any system preference with Display/Don't display pair of options
(e.g. OPACAcquisitionDetails)
3- Apply the patch
4- Refresh the page and notice it is now a Show/Don't show pair instead
5- Loop the steps with other system preferences until satisfied
Comment 3 Shi Yao Wang 2022-05-18 15:13:10 UTC
Created attachment 135145 [details] [review]
Bug 27519: Normalize Show/Don't show in system preferences

Replace Display/Don't display (and some other pairs) by Show/Don't show in system preferences.

Test plan:
1- Go to administration > system preferences
2- View any system preference with Display/Don't display pair of options
(e.g. OPACAcquisitionDetails)
3- Apply the patch
4- Refresh the page and notice it is now a Show/Don't show pair instead
5- Loop the steps with other system preferences until satisfied
Comment 4 Lucas Gass 2022-05-18 21:36:42 UTC
Created attachment 135175 [details] [review]
Bug 27519: Normalize Show/Don't show in system preferences

Replace Display/Don't display (and some other pairs) by Show/Don't show in system preferences.

Test plan:
1- Go to administration > system preferences
2- View any system preference with Display/Don't display pair of options
(e.g. OPACAcquisitionDetails)
3- Apply the patch
4- Refresh the page and notice it is now a Show/Don't show pair instead
5- Loop the steps with other system preferences until satisfied

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 5 David Nind 2022-05-18 21:53:13 UTC
I love consistency for terminology, so this is great!

I have two suggestions to move the "Show/Don't show" options to the start of the system preference text, rather than at the end, to be as consistent as possible with how it is used elsewhere:

- noItemTypeImages: 
  . Updated text: Show itemtype icons in the staff interface: Show/Don't show
  . Change to: Show/Don't show itemtype icons in the staff interface.

- OpacNoItemTypeImages:
  . Updated text: Show itemtype icons in the OPAC: Show/Don't show
  . Change to: Show/Don't show itemtype icons in the OPAC.

I'll also add to the terminology list: https://wiki.koha-community.org/wiki/Terminology
Comment 6 Shi Yao Wang 2022-05-19 12:50:46 UTC
Created attachment 135203 [details] [review]
Bug 27519: Normalize Show/Don't show in system preferences

Replace Display/Don't display (and some other pairs) by Show/Don't show in system preferences.

Test plan:
1- Go to administration > system preferences
2- View any system preference with Display/Don't display pair of options
(e.g. OPACAcquisitionDetails)
3- Apply the patch
4- Refresh the page and notice it is now a Show/Don't show pair instead
5- Loop the steps with other system preferences until satisfied

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 7 Shi Yao Wang 2022-05-19 12:51:49 UTC
(In reply to David Nind from comment #5)
> I love consistency for terminology, so this is great!
> 
> I have two suggestions to move the "Show/Don't show" options to the start of
> the system preference text, rather than at the end, to be as consistent as
> possible with how it is used elsewhere:
> 
> - noItemTypeImages: 
>   . Updated text: Show itemtype icons in the staff interface: Show/Don't show
>   . Change to: Show/Don't show itemtype icons in the staff interface.
> 
> - OpacNoItemTypeImages:
>   . Updated text: Show itemtype icons in the OPAC: Show/Don't show
>   . Change to: Show/Don't show itemtype icons in the OPAC.
> 
> I'll also add to the terminology list:
> https://wiki.koha-community.org/wiki/Terminology

Added the suggested changes in noItemTypeImages and OpacNoItemTypeImages.
Comment 8 David Nind 2022-05-19 18:53:41 UTC
(In reply to Shi Yao Wang from comment #7)
> (In reply to David Nind from comment #5)
> > I love consistency for terminology, so this is great!
> > 
> > I have two suggestions to move the "Show/Don't show" options to the start of
> > the system preference text, rather than at the end, to be as consistent as
> > possible with how it is used elsewhere:
> > 
> > - noItemTypeImages: 
> >   . Updated text: Show itemtype icons in the staff interface: Show/Don't show
> >   . Change to: Show/Don't show itemtype icons in the staff interface.
> > 
> > - OpacNoItemTypeImages:
> >   . Updated text: Show itemtype icons in the OPAC: Show/Don't show
> >   . Change to: Show/Don't show itemtype icons in the OPAC.
> > 
> > I'll also add to the terminology list:
> > https://wiki.koha-community.org/wiki/Terminology
> 
> Added the suggested changes in noItemTypeImages and OpacNoItemTypeImages.

Hi Shi Yao.

Thanks for updating.

However, I think I may have confused things!

I meant having the dropdown list with the choice at the front, rather than at the end of the sentence - eliminating the "double" show. For example:

- For OpacNoItemTypeImages it should read as: [Show/Don't show] itemtype icons in the OPAC.

- Rather than: Show/Don't show itemtype icons in the OPAC: [Show/Don't show]

Hope that makes sense!

David
Comment 9 Shi Yao Wang 2022-05-19 19:20:08 UTC
Created attachment 135215 [details] [review]
Bug 27519: Normalize Show/Don't show in system preferences

Replace Display/Don't display (and some other pairs) by Show/Don't show in system preferences.

Test plan:
1- Go to administration > system preferences
2- View any system preference with Display/Don't display pair of options
(e.g. OPACAcquisitionDetails)
3- Apply the patch
4- Refresh the page and notice it is now a Show/Don't show pair instead
5- Loop the steps with other system preferences until satisfied

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 10 David Nind 2022-05-19 19:31:36 UTC
Created attachment 135217 [details] [review]
Bug 27519: Normalize Show/Don't show in system preferences

Replace Display/Don't display (and some other pairs) by Show/Don't show in system preferences.

Test plan:
1- Go to administration > system preferences
2- View any system preference with Display/Don't display pair of options
(e.g. OPACAcquisitionDetails)
3- Apply the patch
4- Refresh the page and notice it is now a Show/Don't show pair instead
5- Loop the steps with other system preferences until satisfied

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: David Nind <david@davidnind.com>
Comment 11 David Nind 2022-05-19 19:32:46 UTC
Thanks Shi Yao for updating! I've added my sign off as well, to show the QA I've checked the change0
Comment 12 Shi Yao Wang 2022-05-19 19:35:51 UTC
No problem David.

Thanks for the sign offs!
Comment 13 Jonathan Druart 2022-05-31 09:02:54 UTC
Created attachment 135478 [details] [review]
Bug 27519: Normalize Show/Don't show in system preferences

Replace Display/Don't display (and some other pairs) by Show/Don't show in system preferences.

Test plan:
1- Go to administration > system preferences
2- View any system preference with Display/Don't display pair of options
(e.g. OPACAcquisitionDetails)
3- Apply the patch
4- Refresh the page and notice it is now a Show/Don't show pair instead
5- Loop the steps with other system preferences until satisfied

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 14 Tomás Cohen Arazi 2022-06-08 14:50:43 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 15 Lucas Gass 2022-07-12 19:21:42 UTC
Backported to 22.05.x for 22.05.03